# Page class

The Scanbot SDK provides a ready-to-use UI for document scanning and cropping. Both components use the notion of a 'page' as a data model for the scanning and cropping activities.

Annotations
  - @JsonSerializable(includeIfNull: false, explicitToJson: true)

## Constructors

Page(String pageId, {DetectionStatus? detectionStatus, Size? documentImageSizeLimit, ImageFilterType? filter, List<PolygonPoint>? polygon, Uri? originalImageFileUri, Uri? documentImageFileUri, Uri? originalPreviewImageFileUri, Uri? documentPreviewImageFileUri})
Page.fromJson(Map<String, dynamic> json)
  factory

## Properties

detectionStatus ↔ DetectionStatus?
  The detection result of the document detection operation that produced the page (either the document scanner or detectDocument()).
  read / write
documentImageFileUri ↔ Uri?
  File URI of the cropped document image (if document detection was successful)
  read / write
documentImageSizeLimit ↔ Size?
  Limits the maximum resolution (width, height) of the document image. If null is passed, this property is effectively ignored. If specified, width and height must be > 0.
  read / write
documentPreviewImageFileUri ↔ Uri?
  File URI of a screen-sized preview of the document image
  read / write
filter ↔ ImageFilterType?
  The image filter which was applied to the document image of this page.
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
originalImageFileUri ↔ Uri?
  File URI of the original image
  read / write
originalPreviewImageFileUri ↔ Uri?
  File URI of a screen-sized preview of the original image
  read / write
pageId ↔ String
  A string identifying the page in the internal page file storage
  read / write
polygon ↔ List<PolygonPoint>?
  The page's cropping polygon as calculated by a document detection operation or as set by the cropping UI. Modifying the polygon will change the polygon as shown in the cropping UI but will not automatically re-crop the original image.
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited